Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

Firefox 4 will not work with my OSX 10.4.11. I cannot now get back the old version. what can I do?

  • 5 uphendule
  • 66 zinale nkinga
  • 2 views
  • Igcine ukuphendulwa ngu renita

more options

Just downloaded Firefox 4. It replaced the older version on my mac but will not work with my current version of OSX.

I cannot find where I can download the older version so now I do not have Firefox. Can you help>

Isisombululo esikhethiwe

Firefox 4 requires at least OS x 10.5, you can get Firefox 3.6 from http://www.mozilla.com/en-US/firefox/all-older.html

Funda le mpendulo ngokuhambisana nalesi sihloko 👍 6

All Replies (5)

more options

Isisombululo Esikhethiwe

Firefox 4 requires at least OS x 10.5, you can get Firefox 3.6 from http://www.mozilla.com/en-US/firefox/all-older.html

more options

but I'd like to be able to revert back and have all my bookmarks intact. I was looking through my disk utilities but am not seeing the solutions. Am I out of luck? Will I just have to reset my bookmarks? thanks

more options

TonyE:

Thanks for the link to the 3.6. Downloaded easily with all bookmarks intact. Seems to be working faster than the origibal as well

more options

TonyE:

Thanks for the link to 3.6. Worked well. All bookmarks also intact.

more options

Perfect! This works!!! Mozilla... remember many Mac users keep machines a looooong time! They are like an old Mercedes. They never die.